> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seller onboarding: suggested identity and intake status



## OpenAPI

````yaml /openapi/v3.yaml get /api/v2/onboarding/media-company-identity
openapi: 3.1.0
info:
  title: Semicola Exchange platform API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in, signup and OAuth for MCP clients,
    accounts, members and keys, billing, notifications, the Semi assistant (chat
    stream, confirmations, conversations), the MCP App widget host and realtime
    feeds. Typed agent tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Signup
  - name: OAuth
  - name: Accounts
  - name: Members
  - name: API Keys
  - name: Connected Apps
  - name: Onboarding
  - name: Billing
  - name: AI Usage
  - name: Notifications
  - name: Assistant
  - name: MCP Apps
  - name: Realtime
  - name: Demo
paths:
  /api/v2/onboarding/media-company-identity:
    get:
      tags:
        - Onboarding
      summary: 'Seller onboarding: suggested identity and intake status'
      operationId: getOnboardingMediaCompanyIdentity
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          suggestion:
                            type: object
                            properties:
                              companyName:
                                type:
                                  - string
                                  - 'null'
                              companyDomain:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - companyName
                              - companyDomain
                            additionalProperties: false
                          supportedCountries:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              type: string
                          intake:
                            anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  status:
                                    type: string
                                    enum:
                                      - AWAITING_IDENTITY_CONFIRMATION
                                      - RESEARCHING
                                      - NEEDS_APPLICANT_INPUT
                                      - EXCEPTION_REVIEW
                                      - APPROVED
                                      - DENIED
                                  companyName:
                                    type:
                                      - string
                                      - 'null'
                                  companyDomain:
                                    type:
                                      - string
                                      - 'null'
                                  operatingMode:
                                    type:
                                      - string
                                      - 'null'
                                  billingCountry:
                                    type:
                                      - string
                                      - 'null'
                                  revision:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                required:
                                  - id
                                  - status
                                  - companyName
                                  - companyDomain
                                  - operatingMode
                                  - billingCountry
                                  - revision
                                  - updatedAt
                                additionalProperties: false
                              - type: 'null'
                        required:
                          - suggestion
                          - supportedCountries
                          - intake
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````